summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-14 19:01:18 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-14 19:01:18 -0400
commit846cdbdbf965fc50478bcc4c6436e3dc6a489f3f (patch)
tree4a39385c982291a110f513871aba340f0a7a061e /x11-libs
downloadppo-846cdbdbf965fc50478bcc4c6436e3dc6a489f3f.tar.xz
Initial commit.
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/libva-intel-driver/Manifest4
-rw-r--r--x11-libs/libva-intel-driver/libva-intel-driver-2.4.0_pre1.ebuild55
-rw-r--r--x11-libs/libva-intel-driver/libva-intel-driver-2.4.1.ebuild55
-rw-r--r--x11-libs/libva-intel-media-driver/Manifest2
-rw-r--r--x11-libs/libva-intel-media-driver/libva-intel-media-driver-19.2.0.ebuild43
5 files changed, 159 insertions, 0 deletions
diff --git a/x11-libs/libva-intel-driver/Manifest b/x11-libs/libva-intel-driver/Manifest
new file mode 100644
index 0000000..baf8799
--- /dev/null
+++ b/x11-libs/libva-intel-driver/Manifest
@@ -0,0 +1,4 @@
+DIST intel-vaapi-driver-2.4.0.pre1.tar.bz2 2888363 BLAKE2B fc7861e5d7625ed598feadc3b5649335c4f6bc0cacd66bdc38a58bbe4d95909c27c9b84478abdda687725070fa9fea850b3d86925ae6a7ea821a168e2bb98a13 SHA512 f637ca24b34573ae022f24f0352be8a6e2904a703ccfa005fb84da00c54e9e02ff0282e882312b86dd7e2d1a1611fba3eef37909ac66a3c2beb056d8cba6019f
+DIST intel-vaapi-driver-2.4.1.tar.bz2 2889762 BLAKE2B 25888ac7a1a42233c4b0269bd910c5161f99bf22c932b46e20c8c77ed0404bf99702dd9f11b73bc0fd76a3b012ffa1de6c6133cbd7be880428235de9cfcc6ad8 SHA512 1e9dc81ecd0b3640fccd1fb827a0ade0a1e5bbabe375130df159849e47ce98c8e879c65ddaaae11d16e916be76b507be69bc0c813494e37e7fca86b0b897a94f
+EBUILD libva-intel-driver-2.4.0_pre1.ebuild 1350 BLAKE2B 92a739dc8fe80ac7a904b40e60b4bff116dbb6a42b0e36384e9b789a8635506639ec08ac8e6b7b81667d922b7911b5aafaebcdd8ef4091b2268982c82333fa5b SHA512 238b18e9182b7975dbf6c8fbff11d1d05d01faefe1eaf82895f2651da3abe4fb8e515b57f6524b96068afd632b46204b8f76960e742be48e4183397e5dae6566
+EBUILD libva-intel-driver-2.4.1.ebuild 1338 BLAKE2B aa00a6564273fc4a205a35b0ec7def5deebd39eedc234942ff0264c9a17cee81356d223e1b87f1df2cce2bcbcc04e526cde14d369661f78d372ff4eaabcab0bb SHA512 bc5a9ea235ba6447b290e7753f039eeeb4b025ea8fecb1416fed07fe094529a6bb5df9d55075b3d58218c5e14e60c18265103441160a1732121a1c2a232ca627
diff --git a/x11-libs/libva-intel-driver/libva-intel-driver-2.4.0_pre1.ebuild b/x11-libs/libva-intel-driver/libva-intel-driver-2.4.0_pre1.ebuild
new file mode 100644
index 0000000..eb0dfe0
--- /dev/null
+++ b/x11-libs/libva-intel-driver/libva-intel-driver-2.4.0_pre1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="intel-vaapi-driver"
+if [[ ${PV} = *9999* ]] ; then # Live ebuild
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/intel/intel-vaapi-driver"
+fi
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="HW video decode support for Intel integrated graphics"
+HOMEPAGE="https://github.com/intel/intel-vaapi-driver"
+if [[ ${PV} != *9999* ]] ; then
+ SRC_URI="https://github.com/intel/${MY_PN}/releases/download/${PV/_/.}/${MY_PN}-${PV/_/.}.tar.bz2"
+ S="${WORKDIR}/${MY_PN}-${PV/_/.}"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="wayland X"
+RESTRICT="test" # No tests
+
+RDEPEND="
+ >=x11-libs/libdrm-2.4.52[video_cards_intel,${MULTILIB_USEDEP}]
+ >=x11-libs/libva-2.4.0:=[X?,wayland?,drm,${MULTILIB_USEDEP}]
+ wayland? (
+ >=dev-libs/wayland-1.11[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ eapply_user
+ sed -e 's/intel-gen4asm/\0diSaBlEd/g' -i configure.ac || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(use_enable wayland)
+ $(use_enable X x11)
+ --enable-hybrid-codec
+ )
+ ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+ find "${D}" -name "*.la" -delete || die
+}
diff --git a/x11-libs/libva-intel-driver/libva-intel-driver-2.4.1.ebuild b/x11-libs/libva-intel-driver/libva-intel-driver-2.4.1.ebuild
new file mode 100644
index 0000000..8fba364
--- /dev/null
+++ b/x11-libs/libva-intel-driver/libva-intel-driver-2.4.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="intel-vaapi-driver"
+if [[ ${PV} = *9999* ]] ; then # Live ebuild
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/intel/intel-vaapi-driver"
+fi
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="HW video decode support for Intel integrated graphics"
+HOMEPAGE="https://github.com/intel/intel-vaapi-driver"
+if [[ ${PV} != *9999* ]] ; then
+ SRC_URI="https://github.com/intel/${MY_PN}/releases/download/${PV}/${MY_PN}-${PV}.tar.bz2"
+ S="${WORKDIR}/${MY_PN}-${PV}"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="wayland X"
+RESTRICT="test" # No tests
+
+RDEPEND="
+ >=x11-libs/libdrm-2.4.52[video_cards_intel,${MULTILIB_USEDEP}]
+ >=x11-libs/libva-2.4.0:=[X?,wayland?,drm,${MULTILIB_USEDEP}]
+ wayland? (
+ >=dev-libs/wayland-1.11[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ eapply_user
+ sed -e 's/intel-gen4asm/\0diSaBlEd/g' -i configure.ac || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(use_enable wayland)
+ $(use_enable X x11)
+ --enable-hybrid-codec
+ )
+ ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+ find "${D}" -name "*.la" -delete || die
+}
diff --git a/x11-libs/libva-intel-media-driver/Manifest b/x11-libs/libva-intel-media-driver/Manifest
new file mode 100644
index 0000000..c902330
--- /dev/null
+++ b/x11-libs/libva-intel-media-driver/Manifest
@@ -0,0 +1,2 @@
+DIST intel-media-19.2.0.tar.gz 15545039 BLAKE2B 58d354190d6dbda0f28a783a732a09267a761bedc8dbec6d8ec2075b85214f4c4488eadf956f27572bdb08faa5f93d13bae90913d10689d6ca09a8cb82ffc377 SHA512 9dfc046226660df589a6fa03500a493cf2c27e806f26e2123a50211b2780a0f30a35c2f4f2447b9cf13e9623048f1e8e7780f40fcc0ba5a8b8a69ea22ed21b50
+EBUILD libva-intel-media-driver-19.2.0.ebuild 892 BLAKE2B 4e19092e337db37fdb486b51f11221158e52e3ba3afdf2a0d7b9470432a190c93a2fc3e3759ead7c88cc81dc9953faf2c4b30a887f157dafbbfe4fe4b2af5159 SHA512 03b15d125277e14dc615493660a3314396aa2ad1cffc56b1eeb624845388cd33c8aea00e8c81c7b1bcd87c3d1fab0989d1075511f75935cef2feb22932e9eabf
diff --git a/x11-libs/libva-intel-media-driver/libva-intel-media-driver-19.2.0.ebuild b/x11-libs/libva-intel-media-driver/libva-intel-media-driver-19.2.0.ebuild
new file mode 100644
index 0000000..36b958f
--- /dev/null
+++ b/x11-libs/libva-intel-media-driver/libva-intel-media-driver-19.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+if [[ ${PV} == *9999 ]] ; then
+ : ${EGIT_REPO_URI:="https://github.com/intel/media-driver"}
+ if [[ ${PV%9999} != "" ]] ; then
+ : ${EGIT_BRANCH:="release/${PV%.9999}"}
+ fi
+ inherit git-r3
+fi
+
+DESCRIPTION="Intel Media Driver for VAAPI (iHD)"
+HOMEPAGE="https://github.com/intel/media-driver"
+if [[ ${PV} == *9999 ]] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/intel/media-driver/archive/intel-media-${PV}.tar.gz"
+ S="${WORKDIR}/media-driver-intel-media-${PV}"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT BSD"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=media-libs/gmmlib-${PV}
+ >=x11-libs/libva-2.5.0
+ >=x11-libs/libpciaccess-0.13.1-r1:=
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DMEDIA_RUN_TEST_SUITE=OFF
+ )
+
+ cmake-utils_src_configure
+}